#!/usr/bin/python3
import os
import time

DHCP = open('/etc/network/interfaces', "r")
DHCP = DHCP.readlines()
DHCP = DHCP[5]
DHCP = DHCP.split(" ")
DHCP = DHCP[3]

# Hardware can report the NIC's as different names as a result of the BIOS so we need to find the name of the actual LAN NIC
# NUC LAN NIC = enp2s0
NIC = os.popen('ls /sys/class/net').read()
NIC = NIC.split('\n')
for line in NIC:
    if 'lo' not in line and 'vir' not in line and 'wl' not in line:
        NIC = line
        break

IPADDR = os.popen('ifconfig ' + NIC + ' | grep "inet " | cut -d" " -f10').read()
IPMASK = os.popen('ifconfig ' + NIC + ' | grep "netmask " | cut -d" " -f13').read()
MACADDRESS = os.popen('ifconfig ' + NIC + ' | grep -o -E "([[:xdigit:]]{1,2}:){5}[[:xdigit:]]{1,2}"').read()

# remove eol \n
DHCP = DHCP[:-1]
IPADDR = IPADDR[:-1]
IPMASK = IPMASK[:-1]
MACADDRESS = MACADDRESS[:-1]

MACADDRESS = MACADDRESS.upper()

IPNETWORK = os.popen('netstat -nr').read()
IPNETWORK = IPNETWORK.split("\n")
IPGATE = IPNETWORK[2]

if IPGATE:
    IPGATE = IPGATE.split(" ")
    IPGATE = IPGATE[9]
else:
    IPGATE = ""

if not IPADDR:
    time.sleep(3)
    os.system('/opt/director/info.sh')
else:
    FILESTRING = "ip1:" + IPADDR + "\n"
    FILESTRING += "sub1:" + IPMASK + "\n"
    FILESTRING += "gateway1:" + IPGATE + "\n"
    FILESTRING += "type:" + DHCP + "\n"
    FILESTRING += "mac:" + MACADDRESS

    FILENAME = "/opt/director/infoData"
    FILE = open(FILENAME, "w")
    FILE.write(FILESTRING)
    FILE.close()
