#!/usr/bin/python3
import pyudev
import os
import os.path
import time
import re
# sudo apt install python3-pyudev

def main():
    context = pyudev.Context()
    monitor = pyudev.Monitor.from_netlink(context)
    monitor.filter_by(subsystem='usb')
    monitor.start()

    for device in iter(monitor.poll, None):
        if device.action == 'add':
            time.sleep(3)

            DRIVES = os.popen('sudo blkid').read()
            DRIVES = DRIVES.splitlines()
            DRIVE = DRIVES[len(DRIVES)-1]
            DRIVE = re.search('/dev/(.+?):', DRIVE).group(1)

            try:
                os.system('sudo mount /dev/' + DRIVE + ' /mnt')
                if os.path.isfile('/mnt/factoryreset.txt'):
                    FILENAME = "/mnt/OK.txt"
                    FILE = open(FILENAME, "w")
                    FILE.write("factory reset")
                    FILE.close()
                    os.system('/opt/director/default.sh')
            except:
                pass

if __name__ == '__main__':
    main()